Bug 113752 - SIDEBAR: Switching Styles sidebar tabs when going to print preview and back
Summary: SIDEBAR: Switching Styles sidebar tabs when going to print preview and back
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2017-11-10 09:27 UTC by Thomas Lendo
Modified: 2019-11-16 03:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-11-10 09:27:40 UTC
Steps to reproduce:

1. Open Writer or Calc.
2. Open Styles in the sidebar.
3. Go to another style than Paragraph Styles, e.g. Table Styles.
4. Open print preview.
5. Go back to normal view.

Current behavior:
Instead of Table Styles before, Paragraph Styles is showing in the sidebar.

Expected behavior:
The displayed styles shouldn't change in the sidebar.


Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: de-DE (de_DE); Calc: group
Comment 1 Thomas Lendo 2017-11-10 09:33:31 UTC
Seems to be inherited from OOo.

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

I didn't find an older bug report for this.
Comment 2 Kevin Suo 2017-11-10 10:01:39 UTC
Confirmed in Writer and Calc.
版本:5.4.4.0.0+
Build ID:0673cd4e4e8f4b2ab9e1ac14f61958b49eebaa7a
CPU 线程:4; 操作系统:Linux 4.13; UI 渲染:默认; VCL: gtk3; 
区域语言:zh-CN (zh_CN.UTF-8); Calc: group

The previous state of side bar should be remembered when go back to normal view.
Comment 3 QA Administrators 2018-11-14 03:45:54 UTC Comment hidden (obsolete)
Comment 4 Thomas Lendo 2018-11-15 23:17:20 UTC
Still reproducible in Version: 6.2.0.0.alpha1+
Build ID: 20b2903354138f8ab19261fab74658fcf6af70e3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); UI-Language: en-US; Calc: threaded
Comment 5 QA Administrators 2019-11-16 03:41:52 UTC
Dear Thomas Lendo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug